<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [zones][1]
-   [index][2]
-   [settings][3]
-   [events][4]
    -   [Parameters][5]
-   [plantings][6]
    -   [Parameters][7]
-   [api/location/get][8]
-   [signin][9]
-   [zones/update][10]
    -   [Parameters][11]
-   [events/update][12]
    -   [Parameters][13]
-   [settings/location/set][14]
    -   [Parameters][15]
-   [signup][16]
-   [signup][17]
    -   [Parameters][18]
-   [location/set][19]
    -   [Parameters][20]
-   [plantings/update][21]
    -   [Parameters][22]
-   [zones/enable][23]
    -   [Parameters][24]
-   [signout][25]
-   [settings/crops/update][26]
    -   [Parameters][27]
-   [api/crops/get][28]
    -   [Parameters][29]
-   [api/crops/set][30]
    -   [Parameters][31]
-   [api/events/get][32]
    -   [Parameters][33]
-   [api/events/set][34]
    -   [Parameters][35]
-   [api/plantings/get][36]
    -   [Parameters][37]
-   [api/plantings/set][38]
    -   [Parameters][39]
-   [api/zones/get][40]
-   [api/zones/get/planting][41]
-   [api/zones/get/control][42]
-   [api/zone/set][43]
    -   [Parameters][44]
-   [api/zone/switch][45]
    -   [Parameters][46]
-   [api/weather/get][47]

## 

Vegable WebApp Plantings Routes

**Meta**

-   **version**: 0.1
-   **copyright**: 2018 vegable.io

-   **author**: Rodney Gagnon &lt;rodney@vegable.co>

## 

Vegable API Routes

**Meta**

-   **version**: 0.1
-   **copyright**: 2018 vegable.io

-   **author**: Rodney Gagnon &lt;rodney@vegable.co>

## 

Vegable WebApp Index Routes

**Meta**

-   **version**: 0.1
-   **copyright**: 2018 vegable.io

-   **author**: Rodney Gagnon &lt;rodney@vegable.co>

## 

Vegable WebApp Zones Routes

**Meta**

-   **version**: 0.1
-   **copyright**: 2018 vegable.io

-   **author**: Rodney Gagnon &lt;rodney@vegable.co>

## 

Vegable WebApp Settings Routes

**Meta**

-   **version**: 0.1
-   **copyright**: 2018 vegable.io

-   **author**: Rodney Gagnon &lt;rodney@vegable.co>

## 

Vegable WebApp Events Routes

**Meta**

-   **version**: 0.1
-   **copyright**: 2018 vegable.io

-   **author**: Rodney Gagnon &lt;rodney@vegable.co>

## zones

Route to render Zones view

## index

Route to render Index view

Returns **[object][48]** user - user

## settings

Route to render Settings view

Returns **[object][48]** config - location configuration

Returns **[object][48]** etrs - reference evapotranspiration zones

## events

Route to render Events view

### Parameters

-   `user` **[object][48]** user

Returns **[array][49]** zones - list of zones

## plantings

Route to render Plantings view

### Parameters

-   `user` **[object][48]** user

Returns **[array][49]** zones - list of zones

Returns **[array][49]** crops - list of crops

## api/location/get

Route to get location information.

Returns **[object][48]** location - Address, City, State, Zip, ...

## signin

Route to render Sign In view

## zones/update

Route to update a zone and redirect Zones view

### Parameters

-   `crop` **[object][48]** crop
-   `action` **[string][50]** _null_ or _delete_

## events/update

Route to create, update, delete an event and redirect Events view

### Parameters

-   `event` **[object][48]** event
-   `action` **[string][50]** _null_ or _delete_

## settings/location/set

Route to set location information and redirect Settings view

### Parameters

-   `location` **[object][48]** Address, City, State, Zip, ET Zone

## signup

Route to render Sign Up view

## signup

Route to handle user registration and redirect to Sign In view

### Parameters

-   `user` **[object][48]** user

## location/set

Route to set location information.

### Parameters

-   `location` **[object][48]** Address, City, State, Zip, ET Zone

## plantings/update

Route to create, update, delete a planting and redirect Plantings view

### Parameters

-   `planting` **[object][48]** planting
-   `action` **[string][50]** _null_ or _delete_

## zones/enable

Route to turn on/off zones and redirect Zones view

### Parameters

-   `id` **[object][48]** zone id

## signout

Route to sign out and redirect to Sign In view

## settings/crops/update

Route to update a crop and redirect Settings view

### Parameters

-   `crop` **[object][48]** crop
-   `action` **[string][50]** _null_ or _delete_

## api/crops/get

Route to get an individual or list of crops

### Parameters

-   `crop` **[string][50]** id - (optional) unique crop identifier

Returns **[object][48]** crop(s) - crop or crops\[]

## api/crops/set

Route to set a crop

### Parameters

-   `crop` **[object][48]** crop
-   `action` **[string][50]** _null_ or _delete_

Returns **[object][48]** result - { id: _crop id_ }

## api/events/get

Route to get events within a given date range

### Parameters

-   `start` **[date][51]** start date
-   `end` **[date][51]** end date

Returns **[array][49]** events\[] - list of events

## api/events/set

Route to create, update or delete an event

### Parameters

-   `event` **[object][48]** event to create, update or delete
-   `action` **[string][50]** _null_ or _delete_

Returns **[string][50]** event id - id of event created, updated or deleted

## api/plantings/get

Route to get an individual or list of plantings

### Parameters

-   `planting` **[string][50]** id - (optional) unique planting identifier

Returns **[object][48]** planting(s) - planting or plantings\[]

## api/plantings/set

Route to create, update or delete an event

### Parameters

-   `planting` **[object][48]** planting to create, update or delete
-   `action` **[string][50]** _null_ or _delete_

Returns **[string][50]** planting id - id of planting created, updated or deleted

## api/zones/get

Route to get all zones

Returns **[array][49]** zones - array of zones objects

## api/zones/get/planting

Route to get planting zones

Returns **[array][49]** zones - array of zones objects

## api/zones/get/control

Route to get control zones

Returns **[array][49]** zones - array of zones objects

## api/zone/set

Route to set a zone

### Parameters

-   `zone` **[object][48]** zone to set

## api/zone/switch

Switch on/off a zone

### Parameters

-   `zone` **[number][52]** id - id of zone to turn on/off

## api/weather/get

Route to get weather conditions

Returns **[object][48]** conditions - current weather conditions

[1]: #zones

[2]: #index

[3]: #settings

[4]: #events

[5]: #parameters

[6]: #plantings

[7]: #parameters-1

[8]: #apilocationget

[9]: #signin

[10]: #zonesupdate

[11]: #parameters-2

[12]: #eventsupdate

[13]: #parameters-3

[14]: #settingslocationset

[15]: #parameters-4

[16]: #signup

[17]: #signup-1

[18]: #parameters-5

[19]: #locationset

[20]: #parameters-6

[21]: #plantingsupdate

[22]: #parameters-7

[23]: #zonesenable

[24]: #parameters-8

[25]: #signout

[26]: #settingscropsupdate

[27]: #parameters-9

[28]: #apicropsget

[29]: #parameters-10

[30]: #apicropsset

[31]: #parameters-11

[32]: #apieventsget

[33]: #parameters-12

[34]: #apieventsset

[35]: #parameters-13

[36]: #apiplantingsget

[37]: #parameters-14

[38]: #apiplantingsset

[39]: #parameters-15

[40]: #apizonesget

[41]: #apizonesgetplanting

[42]: #apizonesgetcontrol

[43]: #apizoneset

[44]: #parameters-16

[45]: #apizoneswitch

[46]: #parameters-17

[47]: #apiweatherget

[48]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object

[49]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array

[50]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String

[51]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Date

[52]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number
